[elinks-users] Re: ELinks-0.10.5

Jonas Fonseca fonseca at diku.dk
Tue May 3 17:42:25 PDT 2005


Alexey Tourbin <at at altlinux.ru> wrote Wed, May 04, 2005:
> On Tue, May 03, 2005 at 11:41:26PM +0200, Jonas Fonseca wrote:
> > Tue May  3 21:14:48 2005  Jonas Fonseca <fonseca at diku.dk>:
> > 	* configure.in (REL_0_10):
> > 	Fix configuration of 'LUA 5 or better'.  
> 
> Nope, I can't see any changes in configure.in and configure.

I hope I got it right this time. New tarball available.

> Anyway, Lua-5.0 defines LUA_TBOOLEAN, while Lua-4.0 does not:
> 
> $ grep BOOL lua-4.0.1/include/*.h
> $ grep BOOL lua-5.0.2/include/*.h
> lua-5.0.2/include/lua.h:#define LUA_TBOOLEAN    1
> lua-5.0.2/include/lua.h:#define lua_isboolean(L,n)      (lua_type(L,n) == LUA_TBOOLEAN)
> $
> 
> I think you can take advantage of this without altering configure.

Yes. I think the reason for doing it in configure was that some specific
calling conventions needed to be checked for.

-- 
Jonas Fonseca



More information about the elinks-users mailing list